function [ all, c, ax, vx ] = BFCC(vzorky, vzorkovacia_frek)


vykon_spektrum = powspec_BFCC(vzorky, vzorkovacia_frek);             %segmentacia,oknovanie,DFT


filt_vzorky = audspec_BFCC(vykon_spektrum, vzorkovacia_frek);       %barkova filtracia
nbands = size(filt_vzorky,1);


krivky_rov_hlas = postaud_BFCC(filt_vzorky, vzorkovacia_frek/2);        %krivky rovnakej hlasitosti

LOG = log (krivky_rov_hlas);    %logaritmovanie

c = dct(LOG);                   %DCT
c(14:nbands, :) = [];           %iba prvych 13 koef.
for i = 1 : 13
           c(i, : ) = c(i, : ) - mean(c(i, : ));                     %CMN
end

c=c';

nf=size(c,1);
nc=13;

  vf=(4:-1:-4)/60;
  af=(1:-1:-1)/2;
  ww=ones(5,1);
  cx=[c(ww,:); c; c(nf*ww,:)];
  vx=reshape(filter(vf,1,cx(:)),nf+10,nc);
  vx(1:8,:)=[];
  ax=reshape(filter(af,1,vx(:)),nf+2,nc);
  ax(1:2,:)=[];
  vx([1 nf+2],:)=[];  
  all=[c vx ax];
  
  c=c';             %zakladne
  ax=ax';           %akceleracne
  vx=vx';           %diferencne
  all=all';         %vsetky 39
  
  
 % Append deltas and double-deltas onto the cepstral vectors
 %delta = deltas(c);
 % Double deltas are deltas applied twice with a shorter window
 %deltadelta = deltas(deltas(c,5),5);
 % Composite, 39-element feature vector, just like we use for speech recognition
 %alldeltas = [cep2;del;ddel];
    
end